Last Comment Bug 576820 - Provide saner Error Console Spew (or none) when Firefox 4 manifest features are used.
: Provide saner Error Console Spew (or none) when Firefox 4 manifest features a...
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: Startup and Profile System (show other bugs)
: unspecified
: x86 All
: -- normal (vote)
: ---
Assigned To: Justin Wood (:Callek) (Away until Aug 29)
:
Mentors:
Depends on: data-driven-compreg
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 21:14 PDT by Justin Wood (:Callek) (Away until Aug 29)
Modified: 2010-09-02 21:16 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.9-fixed
.14-fixed


Attachments
take 1, no console message (827 bytes, patch)
2010-07-04 19:08 PDT, Justin Wood (:Callek) (Away until Aug 29)
benjamin: review+
christian: approval1.9.2.9+
Details | Diff | Splinter Review
as landed (1.09 KB, patch)
2010-08-07 20:45 PDT, Justin Wood (:Callek) (Away until Aug 29)
no flags Details | Diff | Splinter Review
as landed.2 (1.33 KB, patch)
2010-08-07 20:57 PDT, Justin Wood (:Callek) (Away until Aug 29)
christian: approval1.9.1.12-
christian: approval1.9.1.14+
Details | Diff | Splinter Review

Description Justin Wood (:Callek) (Away until Aug 29) 2010-07-03 21:14:10 PDT
For Firefox 3.6 and 3.5, I propose either silencing entirely, or doing a "Warning: ignoring manifest directive meant for future version of Firefox encountered" or some such error message.

I am willing to do the work, but just need a confirmation that it is wanted. If so, please confirm and assign to me.
Comment 1 Benjamin Smedberg [:bsmedberg] 2010-07-04 05:23:47 PDT
Yeah, I'd take that patch for 1.9.1/1.9.2, and I think I can convince release-drivers to take it also.
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2010-07-04 19:08:22 PDT
Created attachment 456004 [details] [diff] [review]
take 1, no console message

Remember this is built on mozilla-1.9.2, and I chose this as the easiest to do method, (no warning spew).

If you would rather have a saner warning than no warning, r- and tell me and I'll do it.
Comment 3 Justin Wood (:Callek) (Away until Aug 29) 2010-07-16 14:02:12 PDT
Comment on attachment 456004 [details] [diff] [review]
take 1, no console message

Requesting 1.9.2.x approval This is a very trivial change that basically silences warnings that are really correct (for Gecko 2) but unused on the 1.9.2 branch.
Comment 4 Justin Wood (:Callek) (Away until Aug 29) 2010-07-21 11:37:30 PDT
For posterity, I'm adding "manifest" to this patch as well.

<Callek> bsmedberg-away: rs+ to add "manifest" to my list of ignored directives bug for branch? (so I don't have to re-request review)
<bsmedberg> Callek: rs+
Comment 5 christian 2010-08-02 15:42:46 PDT
Comment on attachment 456004 [details] [diff] [review]
take 1, no console message

a=LegNeato for 1.9.2.9. Please land on mozilla-1.9.2 default.
Comment 6 Justin Wood (:Callek) (Away until Aug 29) 2010-08-07 20:43:33 PDT
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/6801ef439dac
Comment 7 Justin Wood (:Callek) (Away until Aug 29) 2010-08-07 20:45:15 PDT
Created attachment 463881 [details] [diff] [review]
as landed

As landed.
Comment 8 Justin Wood (:Callek) (Away until Aug 29) 2010-08-07 20:50:12 PDT
Comment on attachment 463881 [details] [diff] [review]
as landed

Requesting 1.9.1.x approval This is a very trivial change that basically
silences warnings that are really correct (for Gecko 2) but unused on the 1.9.1
branch.

This applies cleanly on 1.9.1, and just landed on 1.9.2 without noticing any problems.
Comment 9 Justin Wood (:Callek) (Away until Aug 29) 2010-08-07 20:57:04 PDT
Created attachment 463882 [details] [diff] [review]
as landed.2

...and actually use the correct version of what [should have] landed the first time.
Comment 10 christian 2010-08-08 23:21:57 PDT
Comment on attachment 463882 [details] [diff] [review]
as landed.2

a=LegNeato for 1.9.1.12.
Comment 11 Justin Wood (:Callek) (Away until Aug 29) 2010-08-13 20:05:08 PDT
Comment on attachment 463882 [details] [diff] [review]
as landed.2

I missed 1.9.1.12's window, requesting 1.9.1.13 instead
Comment 12 christian 2010-09-01 11:00:26 PDT
Comment on attachment 463882 [details] [diff] [review]
as landed.2

a=LegNeato for 1.9.1.13. Please be sure to land it on mozilla-1.9.1 default, *not* the relbranch
Comment 13 Justin Wood (:Callek) (Away until Aug 29) 2010-09-02 20:19:52 PDT
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/331cce3ce22d
Comment 14 Ginn Chen 2010-09-02 21:05:26 PDT
(In reply to comment #13)
> http://hg.mozilla.org/releases/mozilla-1.9.1/rev/331cce3ce22d

     1.7 +    else if (!strcmp(token, "binary-component") ||
     1.8 +             !strcmp(token, "interfaces") ||
     1.9 +             !strcmp(token, "component") ||
    1.10 +             !strcmp(token, "contract") ||
    1.11 +             !strcmp(token, "category")
    1.12 +             !strcmp(token, "manifest")){

missed || here.
Comment 15 Justin Wood (:Callek) (Away until Aug 29) 2010-09-02 21:16:55 PDT
(In reply to comment #14)
> (In reply to comment #13)
> > http://hg.mozilla.org/releases/mozilla-1.9.1/rev/331cce3ce22d
> 
>      1.7 +    else if (!strcmp(token, "binary-component") ||
>      1.8 +             !strcmp(token, "interfaces") ||
>      1.9 +             !strcmp(token, "component") ||
>     1.10 +             !strcmp(token, "contract") ||
>     1.11 +             !strcmp(token, "category")
>     1.12 +             !strcmp(token, "manifest")){
> 
> missed || here.

And yet, I *thought* I actually imported the fixed patch into my MQ for the 1.9.1 grrrrr. Thanks though.

http://hg.mozilla.org/releases/mozilla-1.9.1/rev/e3791e439222

Note You need to log in before you can comment on or make changes to this bug.